|  | Home |

# QMailMessageId Class Reference

The QMailMessageId class is used to identify messages stored by QMailStore. More...

        #include <QMailMessageId>

This class is under development and is subject to change.

- List of all members, including inherited members

## Public Functions

| QMailMessageId ()
| QMailMessageId ( quint64 value )
bool | isValid () const
| operator QVariant () const
bool | operator!= ( const QMailMessageId & other ) const
bool | operator< ( const QMailMessageId & other ) const
bool | operator== ( const QMailMessageId & other ) const

## Related Non-Members

typedef | QMailMessageIdList

## Detailed Description

The QMailMessageId class is used to identify messages stored by QMailStore.

QMailMessageId is a class used to represent messages stored by the QMailStore, identified by their unique numeric internal indentifer.

A QMailMessageId instance can be tested for validity, and compared to other instances for equality. The numeric value of the identifier is not intrinsically meaningful and cannot be modified.

See also QMailMessage and QMailStore::message().

## Member Function Documentation

### QMailMessageId::QMailMessageId ()

Construct an uninitialized QMailMessageId, for which isValid() returns false.

### QMailMessageId::QMailMessageId ( quint64 value )

Construct a QMailMessageId with the supplied numeric identifier value.

### bool QMailMessageId::isValid () const

Returns true if this object has been initialized with an identifier.

### QMailMessageId::operator QVariant () const

Returns a QVariant containing the value of this message identfier.

### bool QMailMessageId::operator!= ( const QMailMessageId & other ) const

Returns true if this object's identifier value differs from that of other.

### bool QMailMessageId::operator< ( const QMailMessageId & other ) const

Returns true if this object's identifier value is less than that of other.

### bool QMailMessageId::operator== ( const QMailMessageId & other ) const

Returns true if this object's identifier value is equal to that of other.

## Related Non-Members

### typedef QMailMessageIdList